Bug 599299 - vhost net lacks 2.6.35-rc1 fixes
vhost net lacks 2.6.35-rc1 fixes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Michael S. Tsirkin
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 00:27 EDT by Michael S. Tsirkin
Modified: 2013-01-09 17:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 11:14:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael S. Tsirkin 2010-06-03 00:27:43 EDT
tracker bug to backport 2.6.35-rc1 fixes in 6.0.

commit a02c37891a9b2d7ce93f9d09455b4f67c4c23b95
Author: Takuya Yoshikawa <yoshikawa.takuya@oss.ntt.co.jp>
Date:   Thu May 27 19:03:56 2010 +0900

    vhost: fix the memory leak which will happen when memory_access_ok fails
    
    We need to free newmem when vhost_set_memory() fails to complete.
    
    Signed-off-by: Takuya Yoshikawa <yoshikawa.takuya@oss.ntt.co.jp>
    Signed-off-by: Michael S. Tsirkin <mst@redhat.com>

commit d3553a52490dcac54f45083f8fa018e26c22e947
Author: Takuya Yoshikawa <yoshikawa.takuya@oss.ntt.co.jp>
Date:   Thu May 27 19:01:58 2010 +0900

    vhost-net: fix to check the return value of copy_to/from_user() correctly
    
    copy_to/from_user() returns the number of bytes that could not be copied.
    
    So we need to check if it is not zero, and in that case, we should return
    the error number -EFAULT rather than directly return the return value from
    copy_to/from_user().
    
    Signed-off-by: Takuya Yoshikawa <yoshikawa.takuya@oss.ntt.co.jp>
    Signed-off-by: Michael S. Tsirkin <mst@redhat.com>

commit 7ad9c9d27048547e96e4e3a13b5780ec6f81bb9f
Author: Takuya Yoshikawa <yoshikawa.takuya@oss.ntt.co.jp>
Date:   Thu May 27 18:58:03 2010 +0900

    vhost: fix to check the return value of copy_to/from_user() correctly
    
    copy_to/from_user() returns the number of bytes that could not be copied.
    
    So we need to check if it is not zero, and in that case, we should return
    the error number -EFAULT rather than directly return the return value from
    copy_to/from_user().
    
    Signed-off-by: Takuya Yoshikawa <yoshikawa.takuya@oss.ntt.co.jp>
    Signed-off-by: Michael S. Tsirkin <mst@redhat.com>

commit 0f3d9a17469d71ba1bab79c07c8eecb9e26e60af
Author: Krishna Kumar <krkumar2@in.ibm.com>
Date:   Tue May 25 11:10:36 2010 +0530

    vhost: Fix host panic if ioctl called with wrong index
    
    Missed a boundary value check in vhost_set_vring. The host panics if
    idx == nvqs is used in ioctl commands in vhost_virtqueue_init.
    
    Signed-off-by: Krishna Kumar <krkumar2@in.ibm.com>
    Signed-off-by: Michael S. Tsirkin <mst@redhat.com>
Comment 2 Aristeu Rozanski 2010-07-01 12:21:07 EDT
Patch(es) available on kernel-2.6.32-42.el6
Comment 5 Amos Kong 2010-08-14 19:35:41 EDT
No regression bring by those patches.
Acceptance_test of RHEL6.0-20100701.3 pass (kernel-2.6.32-42.el6)
Comment 6 releng-rhel@redhat.com 2010-11-11 11:14:14 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.